# WoopsiUI::WindowBorderButton Class Reference

`#include <windowborderbutton.h>`

Inheritance diagram for WoopsiUI::WindowBorderButton:

List of all members.

## Public Member Functions
| WindowBorderButton (s16 x, s16 y, u16 width, u16 height, char normalGlyph, char clickedGlyph, FontBase *font=NULL)
virtual void | draw (Rect clipRect)
## Protected Member Functions
virtual | ~WindowBorderButton ()
| WindowBorderButton (const WindowBorderButton &windowBorderButton)

## Detailed Description

Class representing a button that will appear in the window border.

## Constructor & Destructor Documentation

WoopsiUI::WindowBorderButton::WindowBorderButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | char | normalGlyph,
|  | char | clickedGlyph,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | y | The y co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.
  | normalGlyph | The glyph to display when the gadget is not clicked.
  | clickedGlyph | The glyph to display when the gadget is clicked.
  | font | The font to use.

virtual WoopsiUI::WindowBorderButton::~WindowBorderButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::WindowBorderButton::WindowBorderButton | ( | const WindowBorderButton & | windowBorderButton | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::WindowBorderButton::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the draw() function to draw all visible regions.

Parameters:

  | clipRect | The clipping region to draw.

See also:
  draw()

Reimplemented from WoopsiUI::DecorationGlyphButton.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/windowborderbutton.h